> For a complete page index, fetch https://developer.close.com/llms.txt # List bulk emails GET https://api.close.com/api/v1/bulk_action/email/ Reference: https://developer.close.com/api/resources/bulk-actions/email/list ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `_limit` (integer, optional, default: 100) — Number of results to return. - `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination. - `_fields` (string, optional) — Comma-separated list of fields to include in the response. - `template_id` (string, optional, nullable) ## Response ### 200 Successful response - `data` (list of BulkEmailAction, required) - `has_more` (boolean, required) ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Types ### BulkEmailAction - `contact_preference` (enum, required, nullable) - Allowed values: `lead`, `contact`, `all` - `created_by` (string, required, nullable) - `date_created` (datetime, required, nullable) - `date_updated` (datetime, required, nullable) - `email_account_id` (string, required, nullable) - `id` (string, required) - `n_leads` (integer, required, nullable) - `n_leads_processed` (integer, required) - `n_objects` (integer, required, nullable) - `n_objects_processed` (integer, required) - `organization_id` (string, required) - `query` (string, required, nullable) - `results_limit` (integer, required, nullable) - `s_query` (map from string to any, required) - `send_done_email` (boolean, required) - `sender` (string, required, nullable) - `sort` (list of map from string to any, required) - `status` (enum, required, nullable) - Allowed values: `created`, `loading`, `processing`, `done`, `paused`, `resuming`, `error` - `template_id` (string, required, nullable) - `updated_by` (string, required, nullable) ## Examples **Response** ```json { "data": [ { "contact_preference": "lead", "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2013-12-05T18:34:41.753000+00:00", "date_updated": "2013-12-05T19:33:29.357000+00:00", "email_account_id": "emailacct_qwSIFLEjbJXBJOGb0KsqSvnxX5P9DTXUMnb6mFBLxNt", "id": "bulkemail_qmjJY85TSmMBqw1MKgL5o3LdSJkvklqfAwfdcjiRYCy", "n_leads": 824, "n_leads_processed": 523, "n_objects": 824, "n_objects_processed": 523, "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "query": "lead_status:Potential", "results_limit": null, "s_query": { "queries": [ { "object_type": "lead", "type": "object_type" }, { "condition": { "mode": "full_words", "type": "text", "value": "ACME Inc." }, "field": { "field_name": "name", "object_type": "lead", "type": "regular_field" }, "type": "field_condition" } ], "type": "and" }, "send_done_email": false, "sender": "sender@example.com", "sort": [], "status": "processing", "template_id": "tmpl_00jcushDRuoBBS5sSTUAbNt4dPpBUhlJqQafVfzzRJn", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ], "has_more": false } ``` **SDK Code** ```python bulk_actions.email_list_example import requests url = "https://api.close.com/api/v1/bulk_action/email/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript bulk_actions.email_list_example const url = 'https://api.close.com/api/v1/bulk_action/email/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go bulk_actions.email_list_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/bulk_action/email/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby bulk_actions.email_list_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/bulk_action/email/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java bulk_actions.email_list_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/bulk_action/email/") .basicAuth("", "") .asString(); ``` ```php bulk_actions.email_list_example request('GET', 'https://api.close.com/api/v1/bulk_action/email/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp bulk_actions.email_list_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/bulk_action/email/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```